<html>
<body>
    <h2>digital Clock</h2><br>
    Current Time: <span id="txt"></span>
    <script>
        window.onload = function () { getTime(); }
        function getTime() {
            var today = new Date();
            var h = today.getHours();
            var m = today.getMinutes();
            var s = today.getSeconds();
            // add a zero in front of numbers<10  
            m = checkTime(m);
            s = checkTime(s);
            document.getElementById('txt').innerHTML = h + ":" + m + ":" + s;
            setTimeout(function () { getTime() }, 1000);
        }
        //setInterval("getTime()",1000);//another way  
        function checkTime(i) {
            if (i < 10) {
                i = "0" + i;
            }
            return i;
        }  
    </script>
</body>
</html>